public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-mail/serialmail/
Date: Tue, 15 Sep 2020 00:34:30 +0000 (UTC)	[thread overview]
Message-ID: <1600130062.8c314cafb4bd106b0ceecf1294e71f5e9bcf6d6e.sam@gentoo> (raw)

commit:     8c314cafb4bd106b0ceecf1294e71f5e9bcf6d6e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 00:34:22 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 00:34:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c314caf

net-mail/serialmail: bump to EAPI 7

Bug: https://bugs.gentoo.org/742239
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-mail/serialmail/serialmail-0.75-r5.ebuild | 52 +++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/net-mail/serialmail/serialmail-0.75-r5.ebuild b/net-mail/serialmail/serialmail-0.75-r5.ebuild
new file mode 100644
index 00000000000..dff981e6190
--- /dev/null
+++ b/net-mail/serialmail/serialmail-0.75-r5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A serialmail is a collection of tools for passing mail across serial links"
+HOMEPAGE="http://cr.yp.to/serialmail.html"
+SRC_URI="http://cr.yp.to/software/${P}.tar.gz
+	mirror://gentoo/${P}-patch.tar.bz2"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="static"
+RESTRICT="mirror bindist"
+
+BDEPEND="sys-apps/groff"
+DEPEND=">=sys-apps/ucspi-tcp-0.88"
+RDEPEND="
+	${DEPEND}
+	virtual/daemontools
+"
+
+PATCHES=(
+	"${WORKDIR}"/${P}-gentoo.patch
+	"${WORKDIR}"/${P}-smtpauth.patch
+	"${WORKDIR}"/${P}-smtpauth_comp.patch
+	"${FILESDIR}"/${P}-implicit.patch
+)
+
+src_prepare() {
+	default
+
+	sed -i "s|@CFLAGS@|${CFLAGS}|" conf-cc || die
+	use static && LDFLAGS="${LDFLAGS} -static"
+	sed -i "s|@LDFLAGS@|${LDFLAGS}|" conf-ld || die
+}
+
+src_compile() {
+	sed -i -e '/(man|doc)/d' hier.c || die
+	emake it man
+}
+
+src_install() {
+	dobin serialsmtp serialqmtp maildirsmtp maildirserial maildirqmtp
+
+	dodoc AUTOTURN CHANGES FROMISP SYSDEPS THANKS TOISP \
+		BLURB FILES INSTALL README TARGETS TODO VERSION
+
+	doman maildirqmtp.1 maildirserial.1 maildirsmtp.1 \
+		serialqmtp.1 serialsmtp.1
+}


             reply	other threads:[~2020-09-15  0:34 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-15  0:34 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-09-19 17:59 [gentoo-commits] repo/gentoo:master commit in: net-mail/serialmail/ Sam James
2020-09-16 22:40 Sam James
2020-09-16 22:40 Sam James
2020-09-16  2:32 Sam James
2020-03-24 13:32 Ben Kohler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1600130062.8c314cafb4bd106b0ceecf1294e71f5e9bcf6d6e.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox